set linesize 1000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.avgblocks.log

set define off

drop table EXAMPLE.test;

create table EXAMPLE.test (one number, two number);

insert into EXAMPLE.test select rownum,1 from dba_tables;

commit;

drop index EXAMPLE.testindexone;
drop index EXAMPLE.testindextwo;

create index EXAMPLE.testindexone on EXAMPLE.test (one);
create index EXAMPLE.testindextwo on EXAMPLE.test (two);

execute dbms_stats.gather_table_stats('EXAMPLE','TEST');

select index_name,AVG_LEAF_BLOCKS_PER_KEY,AVG_DATA_BLOCKS_PER_KEY 
from user_indexes where table_name='TEST';

spool off
