set linesize 1000
set pagesize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
spool &ns.plan2.log

set define off

truncate table plan_table;

explain plan into plan_table for 
select /*+ INDEX(TEST TESTINDEX) */ sum(a+b) 
from TEST
where
a=1 and b=2
/

set markup html preformat on

select * from table(dbms_xplan.display('PLAN_TABLE',NULL,'ALL'));

spool off
